
During the 2001 experience I was given medication for a seizure. That time I had a full, out of body experience where I was watching the emergency room staff work on me. I knew the full conversation they were having and recalled afterward all that had happened. I related to the doctor shortly after (within a minute), everything he had said and done. I was hospitalized after this, and as day went on, I could recall more details, although no one was telling me anything. Yesterday's experience was during a stress test.

I went to the hospital after my Monday emergency room visit when I thought I was experiencing a heart attack. I was not having an attack but the emergency room doctor suggested the stress test. At 6:30 am, they prepped me for the first part of the test by injecting a radioisotope through an IV. After an hour, they did the imaging and all was good. The next part of the test was to introduce a stimulant to me through the IV. This is when it all went bad. I wanted to tell the doctor something wasn't right but never got the chance.

I felt very warm and comfortable and believe I was in a brightly lit corridor. It was then that I realized people were entering the room and swarming around me. I then heard the doctor say, 'I have 5 beats per minute and increasing'. They were pushing me back on the table and injecting other drugs into the IV. I looked at the doctor and told him 'I didn't think the test was going well'. He told me he agreed, I then asked him 'how much did my heart rate go down'. He told me: '0 for over a minute'. I told him that I saw the light and was asking him several questions. I was then transported to the recovery room where the nurse kept watch on me.

After another period of time, they completed the procedure and released me to my girlfriend. I went home and rested the rest of the day. Today I am confused about the experience and over the whole incident. Is sharing wrong? I'm feeling the desire to share but I'm not sure if it's right.
